.btn {
    border: none;
    outline: none;
    cursor: pointer;
    height: rem(40);
    font-weight: 400;
    font-size: rem(14);
    line-height: rem(20);
    border-radius: 12px;
    padding: rem(8) rem(24);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    transition: .25s;

    &:hover {
        text-decoration: none;
        transition: .25s;
    }

    &:active {
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        height: rem(24);
        display: inline-block;
    }

    span + i {
        margin-left: rem(8);
    }

    i + span {
        margin-left: rem(8);
    }
}

.btn-lighter {
    fill: var(--black);
    color: var(--black);
    background: var(--gold-lighter);

    &.hover,
    &:hover {
        fill: var(--black);
        color: var(--black);
        background: var(--gold-lighter-hover);
    }

    &.active,
    &:active {
        fill: var(--black);
        color: var(--black);
        background: var(--gold-lighter);
    }
}

.btn-gold {
    fill: var(--white);
    color: var(--white);
    background: var(--gold);

    &.hover,
    &:hover {
        fill: var(--white);
        color: var(--white);
        background: var(--gold-hover);
    }

    &.active,
    &:active {
        fill: var(--white);
        color: var(--white);
        background: var(--gold);
    }
}

.btn-icon {
    font-size: 0;
    line-height: 0;
    padding: rem(8);
    width: rem(40);
}
